WordPress.org

Ready to get started?Download WordPress

Forums

WooCommerce - excelling eCommerce
[resolved] WC 2.1 = Major Fail (17 posts)

  1. ekihc
    Member
    Posted 5 months ago #

    I updated my Woocommerce plugin, and all I got were error messages. A whole bunch of plugin compatibility issues, website layout issues, etc...My advice to anyone out there is not to update their WC until they are sure all bugs are fixed. If you really need to use WC 2.1, make sure you backup all your files. If you have an active e-commerce website running on WC, DO NOT UPDATE TO THE LATEST VERSION QUITE YET.

    https://wordpress.org/plugins/woocommerce/

  2. Roy Ho
    Member
    Posted 5 months ago #

  3. ekihc
    Member
    Posted 5 months ago #

    Too many bugs to fix. I just reverted back to my old WC version. Thank goodness I backed up my website.

    Before making MAJOR changes to the WC plugin, they should have considered the millions of people whose websites depend solely on the WC plugin. I suspect the folks at woothemes will be working some overtime the next few weeks responding to support posts.

  4. mikejolley
    Member
    Plugin Author

    Posted 5 months ago #

    @ekihc Then we'd be stuck at version 2 forever and no progress would be made. Instead of targeting all your blame at woothemes, maybe you should be asking "Why haven't the authors of my theme/plugin updated since the first beta in december".

  5. ekihc
    Member
    Posted 5 months ago #

    @mikejolley while you guys are still trying to figure this thing out and fix bugs, I've got a couple of websites that bring in a substantial amount of revenue monthly. I was just reaching out to those that are unable to handle what was put on their lap within the last couple of days.

    WC V.2.0.19 works for me (for now). If there's a need to make changes to my WC plugin in the future, I'll make sure that I take the necessary steps to ensure I'm not at a loss. Unfortunately there's alot of people out there SOL just because they decided to update their WC plugin. But anyway, good luck with 2.1.

  6. Claudio Sanches
    Member
    Posted 5 months ago #

    @ekihc there's no reason to be nervous.
    In addition to three betas and two RCs versions, you should have testing in an development environment before sending to production.
    Generally those who like to make money doing it.

    This way I upgraded ten clients here with no problem.
    Everyone happy and making money.

  7. amanuensis
    Member
    Posted 5 months ago #

    I too have now got a screen full of errors after upgrading.

    " Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'woocommerce_reset_loop' not found or invalid function name in /var/www/vhosts/xxxxxxxxx/httpdocs/xxxxxxxxxx/wp-includes/plugin.php on line 507

    Warning: Cannot modify header information - headers already sent by (output started at /var/www/vhosts/xxxxxxxxxx/httpdocs/xxxxxxxxxx/wp-includes/plugin.php:507) in /var/www/vhosts/xxxxxxxxxx/httpdocs/xxxxxxxxxx/wp-includes/pluggable.php on line 896"
    The x's are mine.

    Does anyone have any idea as to how to resolve this? I have had to remove the WooCommerce Plugin folder from the Plugin folder to get the site to function again.
    I have also tried a fresh install of the WooCommerce plugin and the same thing happens.

    Many thanks in advance for any help

  8. mikejolley
    Member
    Plugin Author

    Posted 5 months ago #

    @amanuensis the warnings may be caused by the theme HOWEVER you should never be running a production store with WP_DEBUG/error reporting turned on. Warnings and notices should be hidden.

  9. amanuensis
    Member
    Posted 5 months ago #

    Many thanks for your reply

    how do i turn off WP_DEBUG/error reporting?

  10. amanuensis
    Member
    Posted 5 months ago #

    In my config file it is set to

    define('WP_DEBUG', false);

  11. watersplash8
    Member
    Posted 5 months ago #

    I did upgrade and my site was completely wrecked! All sorts of other functionalities were broken!

    The only way to get it back to normal was to delete version 2.1 (from the control panel) and then install the previous version (woocommerce.2.0.20.zip)from here:

    http://wordpress.org/plugins/woocommerce/developers/

    Hope this helps other people who were pulling their hairs all day today.

  12. bitofgrace
    Member
    Posted 5 months ago #

    ** curiosity question :

    My WP_DEBUG is False as well - yet can still see non fatal warnings after this update.
    That normal ?

  13. bitofgrace
    Member
    Posted 5 months ago #

    answered my own shiz:

    // Turn debugging on
    define('WP_DEBUG', true);
    // Tell WordPress to log everything to /wp-content/debug.log
    define('WP_DEBUG_LOG', true);
    // Turn off the display of error messages on your site
    define('WP_DEBUG_DISPLAY', false);
    // For good measure, you can also add the follow code, which will hide errors from being displayed on-screen
    @ini_set('display_errors', 0);

    Warnings hidden .. for me to tend to without visitors getting nuts. :)

  14. Coen Jacobs
    Member
    Plugin Author

    Posted 5 months ago #

    Please note that these warnings can be hidden, but shouldn't be ignored. They can cause trouble in future releases.

    So I strongly recommend you set up a testing environment, running a copy of your live website where you can try and solve these warnings, so you can fix your live website without affecting it directly.

  15. bitofgrace
    Member
    Posted 5 months ago #

    Thank you Coen... but i do expect your team to shed some light on these new Warnings and errors. PLEASE .

    For me it was right away : Errors on expected arrays for Woo Price Filter.
    When i hid the messages i started getting Woo-messages posted for every step of determining shipping (had not had this before at all) There is no longer any logical link to where the shipping info is coming from so I'm stumped temporarily on that one.

    Then there are at least 2 of my Woo extensions that are no longer compatible with this update : Product Swatches & Photos and the Stamps.com extension.

    So - sure i have to hide the warnings for now... but I do hope the team that created these updates/breaks can be of some help in fixing them!

  16. bitofgrace
    Member
    Posted 5 months ago #

    Feel kinda bad for your extension support team . If you thought they were swamped before - can just imagine the hell they'll be in now.

    Your own update conflicts with a number of your extensions - leaving us ignorant folk to go pressure them for a fix or update. Guess they didn't read your beta notes!

  17. Coen Jacobs
    Member
    Plugin Author

    Posted 5 months ago #

    Our support team is just fine, thank you.

    This error:

    Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'woocommerce_reset_loop' not found or invalid function name in /var/www/vhosts/xxxxxxxxx/httpdocs/xxxxxxxxxx/wp-includes/plugin.php on line 507

    is caused by a theme using the outdated function. They shouldn't do that and have had 3 months notice on these changes.

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.